module d_webservice_example.model.todo;

struct Todo
{
    import std.uuid : UUID;

    this(string title, string content) nothrow pure @safe @nogc
    {
        this.title = title;
        this.content = content;
    }

    this(string title, string content, UUID uuid) nothrow pure @safe @nogc
    {
        this.title = title;
        this.content = content;
        this.uuid = uuid;
    }

    this(string title, string content, UUID uuid, string id) nothrow pure @safe @nogc
    {
        this.title = title;
        this.content = content;
        this.uuid = uuid;
        this.id = id;
    }

    string title;
    string content;
    UUID uuid;
    string id;
}
